unit ThiefTlpUnitMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Menus;

type
  TfrmMain = class(TForm)
    lblTelop: TLabel;
    tmrMain: TTimer;
    pumTelop: TPopupMenu;
    Close1: TMenuItem;
    procedure tmrMainTimer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Close1Click(Sender: TObject);
    protected
     procedure CreateParams(var Params: TCreateParams);
    override;
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  frmMain: TfrmMain;
  scrollPixel: Integer; // XN[x

implementation

uses ThiefTlpConfigUnit;

{$R *.dfm}

// EBhE𓧖ɂ                                         
procedure TfrmMain.CreateParams(var Params: TCreateParams);
begin
 inherited CreateParams(Params);
 Params.ExStyle:=Params.ExStyle or WS_EX_TRANSPARENT;
end;

procedure TfrmMain.tmrMainTimer(Sender: TObject);
begin
 // ^C}[~
 tmrMain.Enabled:=false;

 // NɎ擾ĂfXNgbv̉摜tH[ɓ\t
 //  ebv Transparent=true ̏ꍇAXN[O̕dȂĕ\
 //  ꍇ邽߁A邽߃XN[̓sxwiXV
 StretchBlt(Canvas.Handle,0,0,frmMain.Width,frmMain.Height,
            frmConfig.imgDesktop.Canvas.Handle,0,0,frmMain.Width,frmMain.Height,
            SRCCOPY);

 // ebvɃXN[
 lblTelop.Left:=lblTelop.Left-scrollPixel;
 
 // XN[܂E[
 if lblTelop.Left<=lblTelop.Width*(-1) then
 begin
  lblTelop.Left:=frmMain.Width;
 end;

 // ^C}[ĊJ
 tmrMain.Enabled:=true;
end;

procedure TfrmMain.FormShow(Sender: TObject);
var
 rectDesktop: TRect;
begin
 // fXNgbv̕\̈i^XNo[j擾
 if SystemParametersInfo(SPI_GETWORKAREA,0,@rectDesktop,0) then
 begin
  frmMain.Left:=rectDesktop.Left;
  frmMain.Width:=rectDesktop.Right-rectDesktop.Left;

  // ʉ1s󂯂ꏊɕ\邽߁Aebv2s
  frmMain.Top:=rectDesktop.Bottom-lblTelop.Height*2;

  frmMain.Height:=lblTelop.Height;
 end;

 // ebvEBhȄ[ɔzu
 lblTelop.Top:=0;

 // ebvEBhẺE[ɔzu
 lblTelop.Left:=frmMain.Width;

 // tH[𓧖ɂ
 frmMain.Brush.Style:=bsClear;

 // fXNgbv̈Lv`p̃C[WRg[傫
 // fXNgbv̈Ɠɂ
 //  {̓ebvEBhE̕\̈Ɠ傫ł悢A
 //  xebv\ɂ傫tHgTCYw肵
 //  ēxebv\Ƃɑ傫̗̍̈̕\邽߁A
 //  邽߂ɍő̑傫ifXNgbv̈̑傫jɂĂ
 frmConfig.imgDesktop.Width:=rectDesktop.Right-rectDesktop.Left;//frmMain.Width;
 frmConfig.imgDesktop.Height:=rectDesktop.Bottom-lblTelop.Height;//frmMain.Height;

 // ebvEBhE\邱ƂɂȂꏊ̃fXNgbv̈
 // C[WRg[ɃLv`
 StretchBlt(frmConfig.imgDesktop.Canvas.Handle,0,0,frmMain.Width,frmMain.Height,
            GetWindowDC(GetDesktopWindow),frmMain.Left,frmMain.Top,frmMain.Width,frmMain.Height,
            SRCCOPY);

 // ^C}[L
 tmrMain.Enabled:=true;

 // ^XNo[炱̃EBhE{^
 ShowWindow(Application.Handle,SW_HIDE);
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
 // ̏FormShowɋLqƃG[ɂȂ
 frmMain.BorderStyle:=bsNone;

 // ebv̔wi𓧖ɂ
 lblTelop.Transparent:=true;
end;

// L[ꂽƂ
procedure TfrmMain.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 // ESCL[ꂽݒʂɐ؂ւ
 if Key=27 then
 begin
  self.Hide;
  frmConfig.Show;
 end;
end;

// |bvAbvj[ -  NbNꂽƂ
procedure TfrmMain.Close1Click(Sender: TObject);
begin
 self.Hide;
 frmConfig.Show;
end;

end.
